Subject: Re: bug#41627: 28.0.50; Emacs with cairo build segfault in HELLO file

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Sep 2020 16:29:33 +0200

Pip Cet <[email-masked]> writes:

> As I said, "I suspect the attached patch will work, but if this is
> something Cairo does in other places it needs to be checked." Some
> initial investigation reveals that yes, Cairo does it all over the
> place.

Did you get any further here?  The posted patch wasn't applied, as far
as I can see, but would apparently have fixed the HELLO segfault, so
that seems worth it on its own (although the other calls to
cairo_ft_scaled_font_lock_face should also be fixed)...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no